<?php
function bauen_import_files() {
	return array(
		array(
			'import_file_name'             => 'MultiPage - Dark',
			'categories'                   => array( 'Multi Page' ),
			'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/dark/multi/demo1/demo-content.xml',
			'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/dark/multi/demo1/widgets.wie',
			//'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'ocdi/customizer.dat',
			'local_import_redux'           => array(
				array(
					'file_path'   => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/dark/multi/demo1/redux.json',
					'option_name' => 'bauen',
				),
			),
			'import_preview_image_url'     => 'http://webredox.net/demo/wp/bauen/img/multipage-dark.png',
			'import_notice'                => __( 'Be patient, it can take a couple of minutes.', 'bauen' ),
			'preview_url'                  => 'http://webredox.net/demo/wp/bauen/dark/multi/demo1',
		),
		array(
			'import_file_name'             => 'MultiPage - Light',
			'categories'                   => array( 'Multi Page' ),
			'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/light/multi/demo1/demo-content.xml',
			'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/light/multi/demo1/widgets.wie',
			//'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'ocdi/customizer.dat',
			'local_import_redux'           => array(
				array(
					'file_path'   => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/light/multi/demo1/redux.json',
					'option_name' => 'bauen',
				),
			),
			'import_preview_image_url'     => 'http://webredox.net/demo/wp/bauen/img/multipage-light.png',
			'import_notice'                => __( 'Be patient, it can take a couple of minutes.', 'bauen' ),
			'preview_url'                  => 'http://webredox.net/demo/wp/bauen/light/multi/demo1',
		),		
		array(
			'import_file_name'             => 'OnePage - Dark',
			'categories'                   => array( 'One Page' ),
			'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/dark/onepage/demo1/demo-content.xml',
			'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/dark/onepage/demo1/widgets.wie',
			//'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'ocdi/customizer.dat',
			'local_import_redux'           => array(
				array(
					'file_path'   => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/dark/onepage/demo1/redux.json',
					'option_name' => 'bauen',
				),
			),
			'import_preview_image_url'     => 'http://webredox.net/demo/wp/bauen/img/onepage-dark.png',
			'import_notice'                => __( 'Be patient, it can take a couple of minutes.', 'bauen' ),
			'preview_url'                  => 'http://webredox.net/demo/wp/bauen/dark/onepage/demo1',
		),		
		array(
			'import_file_name'             => 'OnePage - Light',
			'categories'                   => array( 'One Page' ),
			'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/light/onepage/demo1/demo-content.xml',
			'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/light/onepage/demo1/widgets.wie',
			//'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'ocdi/customizer.dat',
			'local_import_redux'           => array(
				array(
					'file_path'   => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/light/onepage/demo1/redux.json',
					'option_name' => 'bauen',
				),
			),
			'import_preview_image_url'     => 'http://webredox.net/demo/wp/bauen/img/onepage-light.png',
			'import_notice'                => __( 'Be patient, it can take a couple of minutes.', 'bauen' ),
			'preview_url'                  => 'http://webredox.net/demo/wp/bauen/light/onepage/demo1',
		),		
		array(
			'import_file_name'             => 'MultiPage - Dark Sidebar',
			'categories'                   => array( 'Multi Page' ),
			'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/dark/multi/demo2/demo-content.xml',
			'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/dark/multi/demo2/widgets.wie',
			//'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'ocdi/customizer.dat',
			'local_import_redux'           => array(
				array(
					'file_path'   => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/dark/multi/demo2/redux.json',
					'option_name' => 'bauen',
				),
			),
			'import_preview_image_url'     => 'http://webredox.net/demo/wp/bauen/img/multipage-darksidebar.png',
			'import_notice'                => __( 'Be patient, it can take a couple of minutes.', 'bauen' ),
			'preview_url'                  => 'http://webredox.net/demo/wp/bauen/dark/multi/demo2',
		),
		array(
			'import_file_name'             => 'MultiPage - Light Sidebar',
			'categories'                   => array( 'Multi Page' ),
			'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/light/multi/demo2/demo-content.xml',
			'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/light/multi/demo2/widgets.wie',
			//'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'ocdi/customizer.dat',
			'local_import_redux'           => array(
				array(
					'file_path'   => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/light/multi/demo2/redux.json',
					'option_name' => 'bauen',
				),
			),
			'import_preview_image_url'     => 'http://webredox.net/demo/wp/bauen/img/multipage-lightsidebar.png',
			'import_notice'                => __( 'Be patient, it can take a couple of minutes.', 'bauen' ),
			'preview_url'                  => 'http://webredox.net/demo/wp/bauen/light/multi/demo2',
		),			
		array(
			'import_file_name'             => 'OnePage - Dark Sidebar',
			'categories'                   => array( 'One Page' ),
			'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/dark/onepage/demo2/demo-content.xml',
			'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/dark/onepage/demo2/widgets.wie',
			//'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'ocdi/customizer.dat',
			'local_import_redux'           => array(
				array(
					'file_path'   => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/dark/onepage/demo2/redux.json',
					'option_name' => 'bauen',
				),
			),
			'import_preview_image_url'     => 'http://webredox.net/demo/wp/bauen/img/onepage-darksidebar.png',
			'import_notice'                => __( 'Be patient, it can take a couple of minutes.', 'bauen' ),
			'preview_url'                  => 'http://webredox.net/demo/wp/bauen/dark/onepage/demo2',
		),		
		array(
			'import_file_name'             => 'OnePage - Light Sidebar',
			'categories'                   => array( 'One Page' ),
			'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/light/onepage/demo2/demo-content.xml',
			'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/light/onepage/demo2/widgets.wie',
			//'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'ocdi/customizer.dat',
			'local_import_redux'           => array(
				array(
					'file_path'   => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/light/onepage/demo2/redux.json',
					'option_name' => 'bauen',
				),
			),
			'import_preview_image_url'     => 'http://webredox.net/demo/wp/bauen/img/onepage-lightsidebar.png',
			'import_notice'                => __( 'Be patient, it can take a couple of minutes.', 'bauen' ),
			'preview_url'                  => 'http://webredox.net/demo/wp/bauen/light/onepage/demo2',
		),			
		array(
			'import_file_name'             => 'Fullscreen MultiPage - Dark',
			'categories'                   => array( 'Multi Page' ),
			'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/dark/multi/demo3/demo-content.xml',
			'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/dark/multi/demo3/widgets.wie',
			//'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'ocdi/customizer.dat',
			'local_import_redux'           => array(
				array(
					'file_path'   => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/dark/multi/demo3/redux.json',
					'option_name' => 'bauen',
				),
			),
			'import_preview_image_url'     => 'http://webredox.net/demo/wp/bauen/img/fullscreen-multipage-dark.png',
			'import_notice'                => __( 'Be patient, it can take a couple of minutes.', 'bauen' ),
			'preview_url'                  => 'http://webredox.net/demo/wp/bauen/dark/multi/demo3',
		),
		array(
			'import_file_name'             => 'Fullscreen MultiPage - Light',
			'categories'                   => array( 'Multi Page' ),
			'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/light/multi/demo3/demo-content.xml',
			'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/light/multi/demo3/widgets.wie',
			//'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'ocdi/customizer.dat',
			'local_import_redux'           => array(
				array(
					'file_path'   => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/light/multi/demo3/redux.json',
					'option_name' => 'bauen',
				),
			),
			'import_preview_image_url'     => 'http://webredox.net/demo/wp/bauen/img/fullscreen-multipage-light.png',
			'import_notice'                => __( 'Be patient, it can take a couple of minutes.', 'bauen' ),
			'preview_url'                  => 'http://webredox.net/demo/wp/bauen/light/multi/demo3',
		),			
		array(
			'import_file_name'             => 'Fullscreen OnePage - Dark',
			'categories'                   => array( 'One Page' ),
			'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/dark/onepage/demo3/demo-content.xml',
			'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/dark/onepage/demo3/widgets.wie',
			//'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'ocdi/customizer.dat',
			'local_import_redux'           => array(
				array(
					'file_path'   => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/dark/onepage/demo3/redux.json',
					'option_name' => 'bauen',
				),
			),
			'import_preview_image_url'     => 'http://webredox.net/demo/wp/bauen/img/fullscreen-multipage-dark.png',
			'import_notice'                => __( 'Be patient, it can take a couple of minutes.', 'bauen' ),
			'preview_url'                  => 'http://webredox.net/demo/wp/bauen/dark/onepage/demo3',
		),		
		array(
			'import_file_name'             => 'Fullscreen OnePage - Light',
			'categories'                   => array( 'One Page' ),
			'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/light/onepage/demo3/demo-content.xml',
			'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/light/onepage/demo3/widgets.wie',
			//'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'ocdi/customizer.dat',
			'local_import_redux'           => array(
				array(
					'file_path'   => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/light/onepage/demo3/redux.json',
					'option_name' => 'bauen',
				),
			),
			'import_preview_image_url'     => 'http://webredox.net/demo/wp/bauen/img/fullscreen-multipage-light.png',
			'import_notice'                => __( 'Be patient, it can take a couple of minutes.', 'bauen' ),
			'preview_url'                  => 'http://webredox.net/demo/wp/bauen/light/onepage/demo3',
		),			
		array(
			'import_file_name'             => 'Toggle Menu MultiPage - Dark',
			'categories'                   => array( 'Multi Page' ),
			'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/dark/multi/demo4/demo-content.xml',
			'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/dark/multi/demo4/widgets.wie',
			//'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'ocdi/customizer.dat',
			'local_import_redux'           => array(
				array(
					'file_path'   => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/dark/multi/demo4/redux.json',
					'option_name' => 'bauen',
				),
			),
			'import_preview_image_url'     => 'http://webredox.net/demo/wp/bauen/img/toggle-menu-multipage-dark.png',
			'import_notice'                => __( 'Be patient, it can take a couple of minutes.', 'bauen' ),
			'preview_url'                  => 'http://webredox.net/demo/wp/bauen/dark/multi/demo4',
		),
		array(
			'import_file_name'             => 'Toggle Menu MultiPage - Light',
			'categories'                   => array( 'Multi Page' ),
			'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/light/multi/demo4/demo-content.xml',
			'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/light/multi/demo4/widgets.wie',
			//'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'ocdi/customizer.dat',
			'local_import_redux'           => array(
				array(
					'file_path'   => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/light/multi/demo4/redux.json',
					'option_name' => 'bauen',
				),
			),
			'import_preview_image_url'     => 'http://webredox.net/demo/wp/bauen/img/toggle-menu-multipage-light.png',
			'import_notice'                => __( 'Be patient, it can take a couple of minutes.', 'bauen' ),
			'preview_url'                  => 'http://webredox.net/demo/wp/bauen/light/multi/demo4',
		),					
		array(
			'import_file_name'             => 'Fullscreen Toggle Menu MultiPage - Dark',
			'categories'                   => array( 'Multi Page' ),
			'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/dark/multi/demo5/demo-content.xml',
			'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/dark/multi/demo5/widgets.wie',
			//'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'ocdi/customizer.dat',
			'local_import_redux'           => array(
				array(
					'file_path'   => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/dark/multi/demo5/redux.json',
					'option_name' => 'bauen',
				),
			),
			'import_preview_image_url'     => 'http://webredox.net/demo/wp/bauen/img/fullscreen-toggle-menu-multipage-dark.png',
			'import_notice'                => __( 'Be patient, it can take a couple of minutes.', 'bauen' ),
			'preview_url'                  => 'http://webredox.net/demo/wp/bauen/dark/multi/demo5',
		),
		array(
			'import_file_name'             => 'Fullscreen Toggle Menu MultiPage - Light',
			'categories'                   => array( 'Multi Page' ),
			'local_import_file'            => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/light/multi/demo5/demo-content.xml',
			'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/light/multi/demo5/widgets.wie',
			//'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'ocdi/customizer.dat',
			'local_import_redux'           => array(
				array(
					'file_path'   => trailingslashit( get_template_directory() ) . 'includes/bauen-demo/light/multi/demo5/redux.json',
					'option_name' => 'bauen',
				),
			),
			'import_preview_image_url'     => 'http://webredox.net/demo/wp/bauen/img/fullscreen-toggle-menu-multipage-light.png',
			'import_notice'                => __( 'Be patient, it can take a couple of minutes.', 'bauen' ),
			'preview_url'                  => 'http://webredox.net/demo/wp/bauen/light/multi/demo5',
		),				
		
		
	);
}
add_filter( 'pt-ocdi/import_files', 'bauen_import_files' );

function bauen_after_import_setup( $selected_import ) {
	if ( 'MultiPage - Dark' === $selected_import['import_file_name'] ) {
		// Assign menus to their locations.
		$main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );

		set_theme_mod( 'nav_menu_locations', array(
				'top-menu' => $main_menu->term_id,
			)
		);

		// Assign front page and posts page (blog page).
		$front_page_id = get_page_by_title( 'Home' );
		//$blog_page_id  = get_page_by_title( 'Blog' );

		update_option( 'show_on_front', 'page' );
		update_option( 'page_on_front', $front_page_id->ID );
		update_option( 'page_for_posts', $blog_page_id->ID );
	}
	elseif ( 'MultiPage - Light' === $selected_import['import_file_name'] ) {
		// Assign menus to their locations.
		$main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );

		set_theme_mod( 'nav_menu_locations', array(
				'top-menu' => $main_menu->term_id,
			)
		);

		// Assign front page and posts page (blog page).
		$front_page_id = get_page_by_title( 'Home' );

		update_option( 'show_on_front', 'page' );
		update_option( 'page_on_front', $front_page_id->ID );
		update_option( 'page_for_posts', $blog_page_id->ID );
	}	
	elseif ( 'MultiPage - Dark Sidebar' === $selected_import['import_file_name'] ) {
		// Assign menus to their locations.
		$main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );

		set_theme_mod( 'nav_menu_locations', array(
				'top-menu' => $main_menu->term_id,
			)
		);

		// Assign front page and posts page (blog page).
		$front_page_id = get_page_by_title( 'Home' );

		update_option( 'show_on_front', 'page' );
		update_option( 'page_on_front', $front_page_id->ID );
		update_option( 'page_for_posts', $blog_page_id->ID );
	}		
	elseif ( 'MultiPage - Light Sidebar' === $selected_import['import_file_name'] ) {
		// Assign menus to their locations.
		$main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );

		set_theme_mod( 'nav_menu_locations', array(
				'top-menu' => $main_menu->term_id,
			)
		);

		// Assign front page and posts page (blog page).
		$front_page_id = get_page_by_title( 'Home' );

		update_option( 'show_on_front', 'page' );
		update_option( 'page_on_front', $front_page_id->ID );
		update_option( 'page_for_posts', $blog_page_id->ID );
	}	
	elseif ( 'Fullscreen MultiPage - Dark' === $selected_import['import_file_name'] ) {
		// Assign menus to their locations.
		$main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );

		set_theme_mod( 'nav_menu_locations', array(
				'top-menu' => $main_menu->term_id,
			)
		);

		// Assign front page and posts page (blog page).
		$front_page_id = get_page_by_title( 'Home' );

		update_option( 'show_on_front', 'page' );
		update_option( 'page_on_front', $front_page_id->ID );
		update_option( 'page_for_posts', $blog_page_id->ID );
	}
	elseif ( 'Fullscreen MultiPage - Light' === $selected_import['import_file_name'] ) {
		// Assign menus to their locations.
		$main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );

		set_theme_mod( 'nav_menu_locations', array(
				'top-menu' => $main_menu->term_id,
			)
		);

		// Assign front page and posts page (blog page).
		$front_page_id = get_page_by_title( 'Home' );

		update_option( 'show_on_front', 'page' );
		update_option( 'page_on_front', $front_page_id->ID );
		update_option( 'page_for_posts', $blog_page_id->ID );
	}
	elseif ( 'Toggle Menu MultiPage - Dark' === $selected_import['import_file_name'] ) {
		// Assign menus to their locations.
		$main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );

		set_theme_mod( 'nav_menu_locations', array(
				'top-menu' => $main_menu->term_id,
			)
		);

		// Assign front page and posts page (blog page).
		$front_page_id = get_page_by_title( 'Home' );

		update_option( 'show_on_front', 'page' );
		update_option( 'page_on_front', $front_page_id->ID );
		update_option( 'page_for_posts', $blog_page_id->ID );
	}
	elseif ( 'Toggle Menu MultiPage - Light' === $selected_import['import_file_name'] ) {
		// Assign menus to their locations.
		$main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );

		set_theme_mod( 'nav_menu_locations', array(
				'top-menu' => $main_menu->term_id,
			)
		);

		// Assign front page and posts page (blog page).
		$front_page_id = get_page_by_title( 'Home' );

		update_option( 'show_on_front', 'page' );
		update_option( 'page_on_front', $front_page_id->ID );
		update_option( 'page_for_posts', $blog_page_id->ID );
	}	
	elseif ( 'Fullscreen Toggle Menu MultiPage - Dark' === $selected_import['import_file_name'] ) {
		// Assign menus to their locations.
		$main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );

		set_theme_mod( 'nav_menu_locations', array(
				'top-menu' => $main_menu->term_id,
			)
		);

		// Assign front page and posts page (blog page).
		$front_page_id = get_page_by_title( 'Home' );

		update_option( 'show_on_front', 'page' );
		update_option( 'page_on_front', $front_page_id->ID );
		update_option( 'page_for_posts', $blog_page_id->ID );
	}		
	elseif ( 'Fullscreen Toggle Menu MultiPage - Light' === $selected_import['import_file_name'] ) {
		// Assign menus to their locations.
		$main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );

		set_theme_mod( 'nav_menu_locations', array(
				'top-menu' => $main_menu->term_id,
			)
		);

		// Assign front page and posts page (blog page).
		$front_page_id = get_page_by_title( 'Home' );

		update_option( 'show_on_front', 'page' );
		update_option( 'page_on_front', $front_page_id->ID );
		update_option( 'page_for_posts', $blog_page_id->ID );
	}	
	// One Page Demo
	elseif ( 'OnePage - Dark' === $selected_import['import_file_name'] ) {
		// Assign menus to their locations.
		$main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );

		set_theme_mod( 'nav_menu_locations', array(
				'main-menu' => $main_menu->term_id,
			)
		);

		// Assign front page and posts page (blog page).
		$front_page_id = get_page_by_title( 'Intro' );

		update_option( 'show_on_front', 'page' );
		update_option( 'page_on_front', $front_page_id->ID );
		update_option( 'page_for_posts', $blog_page_id->ID );
	}
	elseif ( 'OnePage - Light' === $selected_import['import_file_name'] ) {
		// Assign menus to their locations.
		$main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );

		set_theme_mod( 'nav_menu_locations', array(
				'main-menu' => $main_menu->term_id,
			)
		);

		// Assign front page and posts page (blog page).
		$front_page_id = get_page_by_title( 'Intro' );

		update_option( 'show_on_front', 'page' );
		update_option( 'page_on_front', $front_page_id->ID );
		update_option( 'page_for_posts', $blog_page_id->ID );
	}
	elseif ( 'OnePage - Dark Sidebar' === $selected_import['import_file_name'] ) {
		// Assign menus to their locations.
		$main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );

		set_theme_mod( 'nav_menu_locations', array(
				'main-menu' => $main_menu->term_id,
			)
		);

		// Assign front page and posts page (blog page).
		$front_page_id = get_page_by_title( 'Intro' );

		update_option( 'show_on_front', 'page' );
		update_option( 'page_on_front', $front_page_id->ID );
		update_option( 'page_for_posts', $blog_page_id->ID );
	}
	elseif ( 'OnePage - Light Sidebar' === $selected_import['import_file_name'] ) {
		// Assign menus to their locations.
		$main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );

		set_theme_mod( 'nav_menu_locations', array(
				'main-menu' => $main_menu->term_id,
			)
		);

		// Assign front page and posts page (blog page).
		$front_page_id = get_page_by_title( 'Intro' );

		update_option( 'show_on_front', 'page' );
		update_option( 'page_on_front', $front_page_id->ID );
		update_option( 'page_for_posts', $blog_page_id->ID );
	}	
	elseif ( 'Fullscreen OnePage - Dark' === $selected_import['import_file_name'] ) {
		// Assign menus to their locations.
		$main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );

		set_theme_mod( 'nav_menu_locations', array(
				'main-menu' => $main_menu->term_id,
			)
		);

		// Assign front page and posts page (blog page).
		$front_page_id = get_page_by_title( 'Intro' );

		update_option( 'show_on_front', 'page' );
		update_option( 'page_on_front', $front_page_id->ID );
		update_option( 'page_for_posts', $blog_page_id->ID );
	}	
	elseif ( 'Fullscreen OnePage - Light' === $selected_import['import_file_name'] ) {
		// Assign menus to their locations.
		$main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );

		set_theme_mod( 'nav_menu_locations', array(
				'main-menu' => $main_menu->term_id,
			)
		);

		// Assign front page and posts page (blog page).
		$front_page_id = get_page_by_title( 'Intro' );

		update_option( 'show_on_front', 'page' );
		update_option( 'page_on_front', $front_page_id->ID );
		update_option( 'page_for_posts', $blog_page_id->ID );
	}		
	
}
add_action( 'pt-ocdi/after_import', 'bauen_after_import_setup' );

function bauen_plugin_page_setup( $default_settings ) {
	$default_settings['parent_slug'] = 'themes.php';
	$default_settings['page_title']  = esc_html__( 'Bauen Demo Importer' , 'bauen' );
	$default_settings['menu_title']  = esc_html__( 'Bauen Demo Importer' , 'bauen' );
	$default_settings['capability']  = 'import';
	$default_settings['menu_slug']   = 'bauen-one-click-demo-import';

	return $default_settings;
}
add_filter( 'pt-ocdi/plugin_page_setup', 'bauen_plugin_page_setup' );